.text-popover {
    position: absolute;
    background: white;
    border: 1px solid #ccc;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    padding: 5px 10px;
    border-radius: 5px;
    display: none;
    z-index: 1000;
    z-index: 999999;
    transition: all ease-in-out 0.2s;
}

.text-popover button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 5px;
}

.text-popover button:hover {
    background-color: #0056b3;
}
.fade.in {
    opacity: 1;
}


/* Images */
.symbol {
    display: inline-block;
    position: relative;
    overflow: hidden;
    vertical-align: middle;
    width: 25px;
    height: 25px;
}
.symbol img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}


/* Width  */
.w-fit{
    width: max-content;
}
.w-full {
    width: 100%;
}
.w-4 {
    width: 4px;
}
.w-4.h-4 {
    width: 24px;
}

.w-20px {
    
    width: 20px;
}
.w-40px {
    width: 40px;
}
.w-50px {
    width: 50px;
}
.w-60px {
    width: 60px;
}
.w-100px  {
    width: 100px;
}
.w-125px  {
    width: 125px;
}
.w-150px  {
    width: 150px;
}
.w-200px  {
    width: 200px;
}
.w-350px  {
    width: 350px;
}
.w-400px {
    width: 400px;
}
.h-4px {
    height: 4px;
}
.h-20px {
    height: 20px;
}
.h-40px {
    height: 40px;
}
.h-50px {
    height: 50px;
}
.h-60px {
    height: 60px;
}
.h-70px {
    height: 70px;
}
.h-80px {
    height: 80px;
}
.h-100px {
    height: 100px;
}
.h-125px {
    height: 125px;
}
.h-150px {
    height: 150px;
}
.h-200px {
    height: 200px;
}
.h-300px {
    height: 300px;
}
.h-400px {
    height: 400px;
}



/* Gap */
.gap-2 {
    gap: 4px;
}
.gap-4 {
    gap: 8px;
}
.gap-8 {
    gap: 16px;
}
.gap-5 {
    gap: 10px;
}
.gap-10 {
    gap: 20px;
}
.gap-15 {
    gap: 30px;
}






/* Timeline */
.timeline-item {
    display: flex;
    gap: 10px;
    width: 100%;
}



/** Menu **/
body .sidebar .sidebar-menu > ul li .submenu > ul li a.active
{
    color: var(--primary);
}
body .sidebar .sidebar-menu > ul li .submenu > ul li a.active::after
{
    background-color: var(--primary);
}   
.notification-body {
    overflow: auto;
}


/* Assets */

.stepper-item.current .stepper-icon {
    transition: color .2s ease;
    background-color: var(--primary) !important;
    border: var(--primary) !important;
    color: #fff !important;
}
.text-end {
    text-align: end;
}
.sr-only {
    display: none;
}
.show-child:hover .show-on-hover {
    display: block;
}
.show-on-hover {
    display: none;
    right: auto;
}
.right-0 {
    right: 0;
}
.left-0 {
    left: 0;
}


/* Live search */
.form-check-label {
    display: block;
}
.relative {
    position: relative;
}
.absolute {
    position: absolute;
}
.fixed {
    position: fixed;
}
.hidden, .hide {
    display: none !important;
}
.livesearch {
    position: absolute;
    z-index: 1000;
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
}
.offcanvas-backdrop.fade.show
{
    opacity: 0.4;
}
.conversation-tab {
    position: relative;
}
.rtl {
    direction: rtl;
}
.ltr {
    direction: ltr;
}